commit: 1a99d25ed71ca51eec9c44ae84590381ec8308e8
Author: Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Sat May 15 20:13:15 2021 +0000
Commit: Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Sat May 15 20:14:58 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1a99d25e
x11-libs/motif: EAPI 7 bump
Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>
x11-libs/motif/{motif-2.3.8-r1.ebuild => motif-2.3.8-r2.ebuild} | 9 +++++----
1 file changed, 5 insertions(+), 4 deletions(-)
diff --git a/x11-libs/motif/motif-2.3.8-r1.ebuild
b/x11-libs/motif/motif-2.3.8-r2.ebuild
similarity index 97%
rename from x11-libs/motif/motif-2.3.8-r1.ebuild
rename to x11-libs/motif/motif-2.3.8-r2.ebuild
index c93bbbd119e..6e1c4083565 100644
--- a/x11-libs/motif/motif-2.3.8-r1.ebuild
+++ b/x11-libs/motif/motif-2.3.8-r2.ebuild
@@ -1,7 +1,7 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
inherit autotools flag-o-matic multilib toolchain-funcs multilib-minimal
@@ -29,11 +29,12 @@ RDEPEND=">=x11-libs/libX11-1.6.2[${MULTILIB_USEDEP}]
)"
DEPEND="${RDEPEND}
- sys-devel/flex
- dev-util/byacc
x11-base/xorg-proto
x11-misc/xbitmaps"
+BDEPEND="sys-devel/flex
+ dev-util/byacc"
+
src_prepare() {
eapply ../patch
eapply_user
@@ -102,7 +103,7 @@ multilib_src_install_all() {
newins "${FILESDIR}"/Mwm.defaults Mwm
# cleanup
- rm -rf "${ED}"/usr/share/Xm
+ rm -rf "${ED}"/usr/share/Xm || die
find "${D}" -type f -name "*.la" -delete || die
dodoc BUGREPORT ChangeLog README RELEASE RELNOTES TODO